%define upstream_name    DateTime-Set
%define upstream_version 0.3600

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Extends Set::Infinite with recurrence functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime) >= 0.120.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Set::Infinite) >= 0.590.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
DateTime::Set is a module for datetime sets. It can be used to handle two
different types of sets.

The first is a fixed set of predefined datetime objects. For example, if we
wanted to create a set of datetimes containing the birthdays of people in
our family for the current year.

The second type of set that it can handle is one based on a recurrence,
such as "every Wednesday", or "noon on the 15th day of every month". This
type of set can have fixed starting and ending datetimes, but neither is
required. So our "every Wednesday set" could be "every Wednesday from the
beginning of time until the end of time", or "every Wednesday after
2003-03-05 until the end of time", or "every Wednesday between 2003-03-05
and 2004-01-07".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.360.0-2.mga6
+ Revision: 1025314
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.360.0-1.mga6
+ Revision: 923740
- update to 0.3600

* Sun Oct 19 2014 umeabot <umeabot> 0.340.0-4.mga5
+ Revision: 788590
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.340.0-3.mga5
+ Revision: 746487
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.340.0-2.mga5
+ Revision: 684290
- Mageia 5 Mass Rebuild

* Thu Feb 13 2014 jquelin <jquelin> 0.340.0-1.mga5
+ Revision: 590576
- update to 0.3400

* Fri Feb 07 2014 sander85 <sander85> 0.330.0-1.mga5
+ Revision: 585101
- update to 0.33

* Sat Oct 19 2013 umeabot <umeabot> 0.320.0-2.mga4
+ Revision: 533436
- Mageia 4 Mass Rebuild

* Thu Aug 29 2013 sander85 <sander85> 0.320.0-1.mga4
+ Revision: 473015
- update to 0.32

* Sun Jan 13 2013 umeabot <umeabot> 0.310.0-2.mga3
+ Revision: 365667
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 0.31

* Fri Apr 08 2011 jquelin <jquelin> 0.300.0-1.mga1
+ Revision: 82203
- update to 0.30

* Mon Jan 24 2011 jquelin <jquelin> 0.280.0-1.mga1
+ Revision: 36216
- mageia rebuild
- imported package perl-DateTime-Set


* Thu May 06 2010 Michael Scherer <misc@mandriva.org> 0.280.0-1mdv2010.1
+ Revision: 542939
- import perl-DateTime-Set


* Thu May 06 2010 cpan2dist 0.28-1mdv
- initial mdv release, generated with cpan2dist
